Subject: Re: bug#35383: 27.0.50; Complete process of decoding Gnus group names

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 21 Jun 2019 13:59:22 -0700

Eric Abrahamsen <[email-masked]> writes:

> On 06/20/19 22:01 PM, Deus Max wrote:
>> On Thu, Jun 20 2019, Eric Abrahamsen wrote:
>>
>>> "Deus Max" <[email-masked]> writes:
>>>
>>>>   
>>>>> : gnus-read-move-group-name: Couldnt create group Dias/｣ｺ�ｻｹ�ｹｱ哩ｷ
>>>>
>>>> Oh bother. Once again an area I was quite sure I've tested. Can you
>>>> tell
>>>> me which backend you're trying to create the group on?
>>>>
>>>> Thank you very much for testing!
>>>>
>>>> (And don't worry about sending the exact mis-encoded string, it's
>>>> enough
>>>> to know it's mis-encoded.)
>>>> 
>>>> 
>>>> 
>>>> Using the nnimap backend
>>>
>>> Found the bug, thanks! I have a few other patches I'm working on for
>>> this branch, once those are done I'll push them all together. I
>>> appreciate the help.
>>>
>>> Eric
>>
>>
>> Great !! Glad to help.
>>
>> Here's another bug:
>>
>> using (G r) "Rename group" works fine for an English group, but fails
>> for other lang. characters (Greek as my test case):
>>
>> Here's a few samples:
>>
>>   GreeK: (fails)
>>       Renaming group Σκύλος to ΣκύλοςΓατα...
>>       Couldn’t rename group Σκύλος to ΣκύλοςΓατα
>>
>>   English: (OK)
>>      Renaming group Dias/MyLifeAsDog to Dias/MyLifeAsRat...
>>      Killed group Dias/MyLifeAsDog
>>      Renaming group Dias/MyLifeAsDog to Dias/MyLifeAsRat...done
>>
>>
>> Also multi-language names fail too:
>>
>>   English+Greek:
>>      Renaming group Dias/MyLifeAsRat to Dias/MyLifeAsΦως...
>>      Couldn’t rename group Dias/MyLifeAsRat to Dias/MyLifeAsΦως
>
> Okay, got that one too...

All right, I've pushed these fixes and a bunch of other ones to
scratch/gnus-decoded. If you're still interested in testing, you can
pull in that branch, then either run "make bootstrap" or delete all the
*elc files under lisp/gnus and run a regular "make", then try again.

Unfortunately this led to so many new tweaks and fixes that I'm going to
restart the clock on dogfooding and testing before it's ready to push.

Eric